'Dialog for setting parameters in BEACON.PAR
DIM SHARED cals(18) AS STRING, qth(18) AS STRING
DIM SHARED qrg(5) AS STRING, kom(10) AS STRING
OPEN "C:\BEACON.PAR" FOR INPUT AS #1
FOR i = 1 TO 18: INPUT #1, cals(i), qth(i): NEXT i
FOR i = 1 TO 5: INPUT #1, qrg(i): NEXT i
FOR i = 1 TO 10: INPUT #1, kom(i): NEXT i
CLOSE 1
10 DO
CLS : PRINT ; "   This is the list of callsigns and locations on BEACON.PAR"
PRINT
FOR i = 1 TO 9
s1$ = "   " + STR$(i) + ") " + cals(i) + "  " + qth(i)
s2$ = "   " + STR$(i + 9) + ") " + cals(i + 9) + "  " + qth(i + 9)
PRINT ; s1$; TAB(40); s2$
NEXT i
PRINT : PRINT : PRINT
PRINT ; "   Type number of item that you want to change"
PRINT ; "   Type 00 in order to leave <callsigns and location>": PRINT
INPUT "01 to 18 or 00"; a%
IF a% = 0 THEN EXIT DO
INPUT "CALLSIGN"; c$: IF LEN(c$) < 6 THEN c$ = c$ + STRING$(6 - LEN(c$), " ")
cals(a%) = c$: PRINT : PRINT
INPUT "LOCATION"; l$: IF LEN(l$) < 14 THEN l$ = l$ + STRING$(14 - LEN(l$), " ")
qth(a%) = l$
LOOP
DO
CLS : PRINT : PRINT
PRINT ; "   List of beacon-frequencies in Hz (8 integers!!)": PRINT : PRINT
FOR i = 1 TO 5
s$ = "   " + STR$(i) + ") " + qrg(i): PRINT ; s$: NEXT i: PRINT : PRINT
PRINT ; "   Type number of item that you want to change"
PRINT ; "   Type 00 in order to leave <frequencies>": PRINT
INPUT "01 to 05 or 00"; a%
IF a% = 0 THEN EXIT DO
INPUT "FREQUENCY"; f$
IF LEN(f$) <> 8 THEN
PRINT ; " wrong format, do again, press any key"
WHILE INKEY$ = "": WEND
END IF
qrg(a%) = f$
LOOP
DO
CLS : PRINT : PRINT
PRINT ; "   Installationparameters for computer and TS 870": PRINT : PRINT
PRINT ; "   Serial port is COM"; kom(1); "  type 1 for COM1 or 2 for COM2"
INPUT " 1 or 2"; a%: kom(1) = STR$(a%)
PRINT ; "   Antenna is No."; kom(2); "  type 1 or 2"
INPUT " 1 or 2"; a%: kom(2) = STR$(a%)
PRINT ; "   Filter-Bandwidth is"; kom(3), "Hz;";
PRINT ; "   type 050/100/200/600  (050 is recommended)"
INPUT " 050......."; kom(3)
IF LEN(kom(3)) <> 3 THEN
PRINT ; "wrong format, do again, press any key"
WHILE INKEY$ = "": WEND
END IF
PRINT ; "   to leave <installationparameters> type 00 else 01"
INPUT "00 or 01"; in$
IF in$ = "00" THEN EXIT DO
LOOP
DO
CLS
PRINT ; "   Results are only displayed on screen /type 1": PRINT
PRINT ; "   Hardcopy on LPT1 and screen /type 2": PRINT
PRINT ; "   ASCII-file A:\BEACON.TXT and screen /type 3": PRINT
PRINT ; "   Hardcopy and ASCII-file and screen /type 4": PRINT
INPUT " 1 t0 4"; kom(4)
IF kom(4) = "1" OR kom(4) = "2" OR kom(4) = "3" OR kom(4) = "4" THEN
EXIT DO
END IF
PRINT ; "wrong format, again, press any key"
WHILE INKEY$ = "": WEND
LOOP
DO
CLS
PRINT ; "    The; computers'seconds-counter has to be synchronized by UTC or"
PRINT ; "    local time. There exist three options:": PRINT
PRINT ; "    1)The computer is equiped with a DCF-time signals receiver"
PRINT ; "    and the appropriate software and you are in Europe": PRINT
PRINT ; "    2) GPS or another time-correction method is available and you"
PRINT ; "    have added an appropriate subprogram MYTIMESET to BEACONS.BAS": PRINT
PRINT ; "    3) Time is set  manually by listening to time-signals"
PRINT ; "    from telephone or radio": PRINT : PRINT
INPUT "1 or 2 or 3"; t$
kom(5) = t$
IF t$ = "1" OR t$ = "2" OR t$ = "3" THEN EXIT DO
LOOP
DO
CLS : PRINT : PRINT
PRINT ; "The complete dataset is now in the memory of your PC. You can"
PRINT ; "run this setup again for corrections or just for checking (R)"
PRINT ; "or save it to C:\BEACON.PAR (S)"
INPUT " R or S"; k$: k$ = UCASE$(k$)
IF k$ = "R" OR k$ = "S" THEN EXIT DO
PRINT ; "wrong format, do again"
LOOP
IF k$ = "R" THEN GOTO 10
IF k$ = "S" THEN
OPEN "C:\BEACON.PAR" FOR OUTPUT AS #2
FOR i = 1 TO 18: WRITE #2, cals(i), qth(i): NEXT i
FOR i = 1 TO 5: WRITE #2, qrg(i): NEXT i
FOR i = 1 TO 10: WRITE #2, kom(i): NEXT i
END IF
CLOSE 2
 
'Author: Helmut Zrneck, DL4FBI, Ritterstrasse 26, 64807 Dieburg, Germany

